ServerEvents.recipes(event => {
event.remove({ output: 'mysticalagriculture:prosperity_seed_base' })
event.remove({ output: 'create_new_age:thorium' })
event.remove({ output: 'create_new_age:heat_pump' })
event.remove({ output: 'ae2:controller' })
event.remove({ output: 'ad_astra:nasa_workbench' })
event.remove({ output: 'ad_astra:compressor' })
event.remove({ output: 'ad_astra:coal_generator' })
event.remove({ output: 'mysticalagriculture:infusion_altar' })
event.remove({ output: 'mysticalagriculture:infusion_pedestal' })
event.remove({ output: 'mysticalagriculture:awakening_altar' })
event.remove({ output: 'mysticalagriculture:awakening_pedestal' })
event.remove({ output: 'ad_astra:fuel_refinery' })
event.remove({ output: 'thermal:machine_pulverizer' })
event.remove({ output: 'thermal:machine_chiller' })
event.remove({ output: 'thermal:machine_centrifuge' })
event.remove({ output: 'thermal:machine_smelter' })
event.remove({ output: 'immersiveengineering:wirecutter' })
event.remove({ output: 'industrialforegoing:pitiful_generator' })
event.remove({ output: 'create_new_age:generator_coil' })
event.remove({ output: 'create_new_age:energiser_t1' })
event.remove({ output: 'create_new_age:energiser_t2' })
event.remove({ output: 'create_new_age:energiser_t3' })
event.remove({ output: 'create_new_age:fluxuated_magnetite' })
event.remove({ output: 'create_new_age:redstone_magnet' })
event.remove({ output: 'create_new_age:layered_magnet' })
event.remove({ output: 'create_new_age:netherite_magnet' })
event.remove({ output: 'create:mechanical_crafter' })
event.remove({ output: 'create:crushing_wheel' })
event.remove({ output: 'create_new_age:basic_solar_heating_plate' })
event.remove({ output: 'create_new_age:advanced_solar_heating_plate' })
event.remove({ output: 'create_new_age:heater' })
event.remove({ output: 'productivebees:centrifuge' })
event.remove({ output: 'productivebees:powered_centrifuge' })
event.remove({ output: 'productivebees:heated_centrifuge' })
event.remove({ output: 'productivebees:gene_indexer' })
event.remove({ output: 'productivebees:incubator' })
event.remove({ output: 'thermal:machine_frame' })
event.remove({ mod: 'notreepunching' })
event.remove({ output: 'create:water_wheel' })
event.remove({ output: 'create:large_water_wheel' })
event.remove({ output: 'minecraft:bread' })
event.remove({ output: 'createsifter:sifter' })
event.remove({ output: 'createsifter:andesite_mesh' })
event.remove({ output: 'createsifter:zinc_mesh' })
event.remove({ output: 'createsifter:brass_mesh' })
event.remove({ output: 'createsifter:advanced_brass_mesh' })
event.remove({ output: 'enderio:primitive_alloy_smelter' })
event.remove({ output: 'minecraft:blast_furnace' })
event.remove({ output: 'alltheores:platinum_ore_hammer' })
event.remove({ output: 'alltheores:invar_ore_hammer' })
event.remove({ output: 'alltheores:bronze_ore_hammer' })
event.remove({ output: 'alltheores:iron_ore_hammer' })
event.remove({ output: 'alltheores:copper_ore_hammer' })
event.remove({ output: 'enderio:void_chassis' })
event.remove({ output: 'enderio:alloy_smelter' })
event.remove({ mod: 'cobblefordays' })
event.remove({ output: 'powersuits:tinkertable' })
event.remove({ output: 'thermal:machine_frame' })
event.remove({ output: 'thermal:machine_pulverizer' })
event.remove({ output: 'thermal:machine_chiller' })
event.remove({ output: 'thermal:machine_centrifuge' })
event.remove({ output: 'thermal:machine_smelter' }) 
event.shaped('thermal:machine_frame', 
  [// arg 1: output
    'BAB', 
    'ACA', // arg 2: the shape (array of strings)
    'BAB'  
  ], 
  {
	A: '#forge:glass',
	B: 'immersiveengineering:component_iron',
	C: '#forge:gears/invar'
  }
);
event.shaped('thermal:machine_smelter', 
  [// arg 1: output
    ' C ', 
    'BDB', // arg 2: the shape (array of strings)
    'AEA'  
  ], 
  {
	A: '#forge:gears/invar',
	B: '#forge:plates/steel',
	C: 'thermal:machine_furnace',
	D: 'thermal:machine_frame',
	E: 'thermal:rf_coil'
  }
);

event.shaped('thermal:machine_chiller', 
  [// arg 1: output
    'BCB', 
    'ADA', // arg 2: the shape (array of strings)
    'BEB'  
  ], 
  {
	A: '#forge:gears/invar',
	B: '#forge:plates/steel',
	C: '#forge:ices/blue',
	D: 'thermal:machine_frame',
	E: 'thermal:rf_coil'
  }
);

event.shaped('thermal:machine_centrifuge', 
  [// arg 1: output
    'FCF', 
    'ADA', // arg 2: the shape (array of strings)
    'BEB'  
  ], 
  {
	A: '#forge:storage_blocks/tin',
	B: '#forge:gears/constantan',
	C: 'minecraft:compass',
	D: 'thermal:machine_frame',
	E: 'thermal:rf_coil',
	F: 'create_new_age:blank_circuit'
  }
);
event.shaped('thermal:machine_pulverizer', 
  [// arg 1: output
    'BCB', 
    'ADA', // arg 2: the shape (array of strings)
    'BEB'  
  ], 
  {
	A: '#forge:gears/copper',
	B: '#forge:plates/steel',
	C: 'create:millstone',
	D: 'thermal:machine_frame',
	E: 'thermal:rf_coil'
  }
);
event.shaped('ad_astra:photovoltaic_etrium_cell', 
    'CCC', 
    'ABA', // arg 2: the shape (array of strings)
    'ADA'  
  ],
    {
	B: '#forge:ingots/gold',
	D: '#forge:gems/diamond',
	C: '#forge:glass/blue',
	A: '#forge:ingots/bronze'
  }
);

event.shaped('powersuits:tinkertable', 
  [// arg 1: output
    'BCB', 
    'CAC', // arg 2: the shape (array of strings)
    'DDD'  
  ],
    {
	A: 'rftoolscontrol:craftingstation',
	B: '#forge:circuits/basic',
	C: 'numina:component_control_circuit',
	D: '#forge:storage_blocks/steel'
  }
);

event.shaped('ad_astra:solar_panel', 
  [// arg 1: output
    'BBB', 
    'CDC', // arg 2: the shape (array of strings)
    'AAA'  
  ],
    {
	B: 'ad_astra:photovoltaic_etrium_cell',
	D: 'create_new_age:blank_circuit',
	C: '#forge:plates/steel',
	A: '#forge:ingots/bronze'
  }
);

event.shaped('engineersdecor:small_solar_panel', 
  [// arg 1: output
    ' A ', 
    ' B ', // arg 2: the shape (array of strings)
    '   '  
  ],
    {
	A: 'create_new_age:copper_circuit',
	B: '#forge:circuits/basic'
  }
);


event.shaped('minecraft:mycelium', 
  [// arg 1: output
    'AD ', 
    'BC', // arg 2: the shape (array of strings)
    '   '  
  ],
    {
	A: 'minecraft:dirt',
	B: 'minecraft:bone_meal',
	C: '#forge:sand',
	D: '#forge:slag'
  }
);
event.shaped('cobblefordays:tier_2', 
  [// arg 1: output
    'BBB', 
    'CAD', // arg 2: the shape (array of strings)
    'BBB'  
  ],
    {
	A: 'bigreactors:reinforced_reactorglass',
	B: '#forge:storage_blocks/steel',
	C: 'minecraft:water_bucket',
	D: 'minecraft:lava_bucket'
  }
);

event.shaped('enderio:alloy_smelter', 
  [// arg 1: output
    'FFF', 
    'ECE', // arg 2: the shape (array of strings)
    'BDB'  
  ],
    {
	B: '#forge:ingots/dark_steel',
	C: 'enderio:primitive_alloy_smelter',
	D: 'minecraft:cauldron',
	E: 'enderio:void_chassis',
	F: '#forge:gears/iron'
  }
);

event.shaped('enderio:void_chassis', 
  [// arg 1: output
    'ABA', 
    'BCA', // arg 2: the shape (array of strings)
    'ABA'  
  ],
    {
	A: '#forge:ingots/steel',
	B: 'minecraft:iron_bars',
	C: 'enderio:grains_of_infinity'
  }
);

event.shaped('minecraft:blast_furnace', 
  [// arg 1: output
    'DAD', 
    'ACA', // arg 2: the shape (array of strings)
    'BBB'  
  ],
    {
	A: '#forge:ingots/steel',
	B: 'minecraft:smooth_stone',
	C: 'minecraft:furnace',
	D: '#forge:ingots/iron'
  }
);


event.shaped('enderio:primitive_alloy_smelter', 
  [// arg 1: output
    'BAB', 
    'ACA', // arg 2: the shape (array of strings)
    'BDB'  
  ],
    {
	A: 'enderio:grains_of_infinity',
	B: 'minecraft:deepslate',
	C: 'enderio:void_chassis',
	D: 'nethersdelight:blackstone_furnace'
  }
);

event.shaped('createsifter:brass_mesh', 
  [// arg 1: output
    'BAB', 
    'ACA', // arg 2: the shape (array of strings)
    'BAB'  
  ],
    {
	A: '#forge:ingots/lumium',
	B: '#forge:ingots/enderium',
	C: 'createsifter:zinc_mesh'
  }
);
event.shaped('createsifter:zinc_mesh', 
  [// arg 1: output
    'BAB', 
    'ACA', // arg 2: the shape (array of strings)
    'BAB'  
  ],
    {
	A: '#forge:ingots/zinc',
	B: '#forge:ingots/steel',
	C: 'createsifter:andesite_mesh'
  }
);
event.shaped('createsifter:andesite_mesh', 
  [// arg 1: output
    'BAB', 
    'ACA', // arg 2: the shape (array of strings)
    'BAB'  
  ],
    {
	A: 'create:andesite_alloy',
	B: '#forge:ingots/brass',
	C: 'createsifter:string_mesh'
  }
);

event.shaped('createsifter:sifter', 
  [// arg 1: output
    'B B', 
    'DCD', // arg 2: the shape (array of strings)
    'AAA'  
  ],
    {
	A: 'create_new_age:magnetite_block',
	B: 'create:andesite_casing',
	C: 'create:cogwheel',
	D: 'create:andesite_alloy'
  }
);



event.shaped('2x minecraft:bread', 
  [// arg 1: output
    '   ', 
    'AAA', // arg 2: the shape (array of strings)
    '   '  
  ], 
  {
	A: 'create:dough'
  }
);
event.shaped('notreepunching:iron_saw', 
  [// arg 1: output
    'AAA', 
    'B  ', // arg 2: the shape (array of strings)
    '   '  
  ], 
  {
	A: '#forge:ingots/iron',
	B: 'minecraft:stick'
  }
);
event.shaped('notreepunching:diamond_saw', 
  [// arg 1: output
    'AAA', 
    'B  ', // arg 2: the shape (array of strings)
    '   '  
  ], 
  {
	A: 'minecraft:diamond',
	B: 'minecraft:stick'
  }
);
event.shaped('notreepunching:flint_axe', 
  [// arg 1: output
    'AA ', 
    'B  ', // arg 2: the shape (array of strings)
    '   '  
  ], 
  {
	A: 'minecraft:flint',
	B: 'minecraft:stick'
  }
);
event.shaped('create:water_wheel', 
  [// arg 1: output
    'BAB', 
    'ACA', // arg 2: the shape (array of strings)
    'BAB'  
  ],
    {
	A: '#minecraft:planks',
	B: 'create:andesite_casing',
	C: 'create:vertical_gearbox'
  }
);
event.shaped('create:water_wheel', 
  [// arg 1: output
    'BAB', 
    'ACA', // arg 2: the shape (array of strings)
    'BAB'  
  ],
    {
	A: '#minecraft:planks',
	B: 'create:andesite_casing',
	C: 'create:gearbox'
  }
);
event.shaped('minecraft:wooden_pickaxe', 
  [// arg 1: output
    'AAA', 
    ' B ', // arg 2: the shape (array of strings)
    ' B '  
  ], 
  {
	A: '#minecraft:planks',
	B: 'minecraft:stick'
  }
);

event.shaped('productivebees:incubator', 
  [// arg 1: output
    'BAB', 
    'BEB', // arg 2: the shape (array of strings)
    'BBB'  
  ], 
  {
	A: 'minecraft:hay_block',
	B: 'immersiveengineering:electronic_component',
	E: 'avaritia:extreme_crafting_table'
  }
);
event.shaped('productivebees:gene_indexer', 
  [// arg 1: output
    'BAB', 
    'BEB', // arg 2: the shape (array of strings)
    'BBB'  
  ], 
  {
	A: 'minecraft:comparator',
	B: 'enderio:dark_steel_ingot',
	E: 'avaritia:extreme_crafting_table'
  }
);
event.shaped('productivebees:centrifuge', 
  [// arg 1: output
    'B B', 
    'BEB', // arg 2: the shape (array of strings)
    'BBB'  
  ], 
  {
	A: 'minecraft:cauldron',
	B: 'enderio:dark_steel_ingot',
	E: 'create:mechanical_mixer'
  }
);
event.shaped('productivebees:powered_centrifuge', 
  [// arg 1: output
    'BDB', 
    'ACA', // arg 2: the shape (array of strings)
    'BEB'  
  ], 
  {
	A: 'immersiveengineering:electronic_component',
	B: 'enderio:dark_steel_block',
	C: 'productivebees:centrifuge',
	D: 'minecraft:nether_star',
	E: 'thermal:rf_coil'
  }
);
event.shaped('productivebees:heated_centrifuge', 
  [// arg 1: output
    'AAA', 
    'BCB', // arg 2: the shape (array of strings)
    'DED'  
  ], 
  {
	A: '#forge:ingots/aluminum',
	B: 'productivebees:upgrade_time',
	C: 'productivebees:inactive_dragon_egg',
	D: 'minecraft:nether_star',
	E: 'productivebees:powered_centrifuge'
  }
);
event.shaped('create_new_age:heater', 
  [// arg 1: output
    'AAA', 
    'CDC', // arg 2: the shape (array of strings)
    ' E '  
  ], 
  {
	A: 'minecraft:copper_ingot',
	C: 'create_new_age:heat_pipe',
	D: 'create_new_age:overcharged_gold',
	E: 'create:empty_blaze_burner'
  }
);
event.shaped('create_new_age:basic_solar_heating_plate', 
  [// arg 1: output
    'AAA', 
    'BCB', // arg 2: the shape (array of strings)
    'BCB'  
  ], 
  {
	A: '#forge:glass',
	B: 'create_new_age:overcharged_iron',
	C: 'create_new_age:heat_pipe'
  }
);
event.shaped('create_new_age:advanced_solar_heating_plate', 
  [// arg 1: output
    'AAA', 
    'BCB', // arg 2: the shape (array of strings)
    'BDB'  
  ], 
  {
	A: '#forge:glass',
	B: 'create_new_age:overcharged_gold',
	C: 'create_new_age:heat_pipe',
	D: 'create_new_age:basic_solar_heating_plate'
  }
);
event.shaped('minecraft:phantom_membrane', 
  [// arg 1: output
    'ABA', 
    'BCB', // arg 2: the shape (array of strings)
    'ABA'  
  ], 
  {
	A: '#forge:feathers',
	B: '#forge:leather',
	C: 'minecraft:white_wool'
  }
);
event.shaped('create_new_age:energiser_t1', 
  [// arg 1: output
    'AAA', 
    'BCB', // arg 2: the shape (array of strings)
    '   '  
  ], 
  {
	A: 'minecraft:deepslate',
	B: 'create:andesite_casing',
	C: 'minecraft:copper_block'
  }
);
event.shaped('create_new_age:energiser_t2', 
  [// arg 1: output
    'BAB', 
    'DCD', // arg 2: the shape (array of strings)
    '   '  
  ], 
  {
	A: 'create_new_age:energiser_t1',
	B: 'create:copper_casing',
	C: 'minecraft:gold_block',
	D: 'create_new_age:overcharged_gold'
  }
);
event.shaped('create_new_age:energiser_t3', 
  [// arg 1: output
    'BAB', 
    'DCD', // arg 2: the shape (array of strings)
    '   '  
  ], 
  {
	A: 'create_new_age:energiser_t2',
	B: 'create:brass_casing',
	C: 'minecraft:diamond_block',
	D: 'create_new_age:overcharged_diamond'
  }
);
event.shaped('create_new_age:generator_coil', 
  [// arg 1: output
    'ABA', 
    'BCB', // arg 2: the shape (array of strings)
    'ABA'  
  ], 
  {
	A: 'minecraft:copper_ingot',
	B: 'minecraft:deepslate',
	C: 'create:andesite_alloy_block',
  }
);
event.shaped('industrialforegoing:pitiful_generator', 
  [// arg 1: output
    'ADA', 
    'BCB', // arg 2: the shape (array of strings)
    'ADA'  
  ], 
  {
	A: 'minecraft:cobblestone',
	B: 'create_new_age:generator_coil',
	C: 'industrialforegoing:machine_frame_pity',
	D: 'createaddition:gold_wire'
  }
);

event.shaped('create:mechanical_crafter', 
  [// arg 1: output
    'EBE', 
    'ADA', // arg 2: the shape (array of strings)
    'ECE'  
  ], 
  {
	A: '#forge:plates/brass',
	B: 'create:electron_tube',
	C: 'immersiveengineering:craftingtable',
	D: 'create:cogwheel',
	E: 'create:brass_casing'
  }
);
event.shaped('mysticalagriculture:infusion_altar', 
  [// arg 1: output
    'ABA', 
    'BCB', // arg 2: the shape (array of strings)
    'CCC'  
  ], 
  {
	A: 'enderitemod:enderite_ingot',
	B: 'mysticalagriculture:supremium_block',
	C: 'minecraft:stone'
  }
);
event.shaped('mysticalagriculture:infusion_pedestal', 
  [// arg 1: output
    'ABA', 
    'BCB', // arg 2: the shape (array of strings)
    ' C '  
  ], 
  {
	A: '#forge:storage_blocks/lumium',
	B: 'mysticalagriculture:supremium_block',
	C: 'minecraft:stone'
  }
);
event.shaped('mysticalagriculture:awakening_altar', 
  [// arg 1: output
    'ABA', 
    'BCB', // arg 2: the shape (array of strings)
    'CCC'  
  ], 
  {
	A: 'mysticalagradditions:nether_star_crux',
	B: 'mysticalagriculture:supremium_block',
	C: 'mysticalagriculture:soulstone'
  }
);
event.shaped('mysticalagriculture:awakening_pedestal', 
  [// arg 1: output
    'ABA', 
    'BCB', // arg 2: the shape (array of strings)
    ' C '  
  ], {
	A: 'minecraft:nether_star',
	B: 'mysticalagriculture:supremium_block',
	C: 'mysticalagriculture:soulstone'
  }
);
event.shaped('ad_astra:nasa_workbench', 
  [// arg 1: output
    'BFB', 
    'FEF', // arg 2: the shape (array of strings)
    'ADA'  
  ], 
  {
	A: '#forge:storage_blocks/bronze',
	B: '#forge:storage_blocks/steel',
	D: 'create:mechanical_crafter',
	E: 'ae2:controller',
	F: 'create:mechanical_arm'
  }
);
event.shaped('ae2:controller', 
  [// arg 1: output
    'ADA', 
    'BEB', // arg 2: the shape (array of strings)
    'ACA'  
  ], 
  {
	A: '#forge:storage_blocks/steel',
	B: 'ae2:fluix_crystal',
	C: 'ae2:engineering_processor',
	D: 'immersiveengineering:circuit_board',
	E: 'create_new_age:copper_circuit'
  }
);

event.shaped('mysticalagriculture:prosperity_seed_base', 
  [// arg 1: output
    'ABA', 
    'BCB', // arg 2: the shape (array of strings)
    'ABA'  
  ], {
	A: 'mysticalagriculture:prosperity_shard',
	B: 'rftoolsbase:infused_diamond',
	C: '#forge:seeds'
  }
);

event.shaped('2x create_new_age:fluxuated_magnetite', 
  [// arg 1: output
    'ACA', 
    'CDC', // arg 2: the shape (array of strings)
    'ACA'  
  ], 
  {
	A: 'create_new_age:overcharged_gold',
	C: 'create_new_age:layered_magnet',
	D: 'create_new_age:overcharged_diamond'
  }
);
event.shaped('2x create_new_age:netherite_magnet', 
  [// arg 1: output
    'ACA', 
    'CDC', // arg 2: the shape (array of strings)
    'ACA'  
  ], 
  {
	A: 'create_new_age:fluxuated_magnetite',
	D: 'minecraft:netherite_ingot',
	C: 'create_new_age:overcharged_diamond'
  }
);

event.shaped('2x create_new_age:magnetite_block',
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    'AAA'  
  ], 
  {
	A: 'minecraft:deepslate',
	B: 'create_new_age:thorium'
  }
);

event.shaped('2x create_new_age:redstone_magnet', 
  [// arg 1: output
    'CAC', 
    'ABA', // arg 2: the shape (array of strings)
    'CAC'  
  ], 
  {
	A: 'minecraft:deepslate',
	B: 'minecraft:iron_nugget',
	C: 'create_new_age:magnetite_block'
  }
);

event.shaped('minecraft:diamond_helmet', 
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    '   '  
  ], 
  {
    A: '#forge:gems/diamond',
	B: 'immersiveengineering:armor_steel_helmet'
  }
);
event.shaped('minecraft:diamond_chestplate', 
  [// arg 1: output
    'A A', 
    'ABA', // arg 2: the shape (array of strings)
    'AAA'  
  ], 
  {
    A: '#forge:gems/diamond',
	B: 'immersiveengineering:armor_steel_chestplate'
  }
);
event.shaped('minecraft:diamond_leggings', 
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    'A A'  
  ], 
  {
    A: '#forge:gems/diamond',
	B: 'immersiveengineering:armor_steel_leggings'
  }
);
event.shaped('minecraft:diamond_boots', 
  [// arg 1: output
    '   ', 
    'A A', // arg 2: the shape (array of strings)
    'ABA'  
  ], 
  {
    A: '#forge:gems/diamond',
	B: 'immersiveengineering:armor_steel_boots'
  }
);
event.shaped('create:empty_blaze_burner', 
  [// arg 1: output
    ' A ', 
    'ABA', // arg 2: the shape (array of strings)
    ' A '  
  ], 
  {
    A: '#forge:plates/iron',
	B: 'minecraft:coal_block'
  }
);



  event.custom({
  "type": "create:mixing",
  "ingredients": [
    {
	  "count": 1,
      "tag": "forge:dusts/iron",
    },
    {
	  "count": 1,
      "tag": "minecraft:coals",
    },
	    {
	  "count": 1,
      "tag": "minecraft:coals",
    },
	    {
	  "count": 1,
      "tag": "minecraft:coals",
    },
	    {
	  "count": 1,
      "tag": "minecraft:coals",
    },
	    {
	  "count": 1,
      "tag": "minecraft:coals",
    },
	    {
	  "count": 1,
      "tag": "minecraft:coals",
    },
	    {
	  "count": 1,
      "tag": "minecraft:coals",
    },
	    {
	  "count": 1,
      "tag": "minecraft:coals",
    }
  ],
  "results": [
    {
      "count": 1,
      "item": "alltheores:steel_dust"
    }
  ]
  })
  event.custom({
  "type": "create:mixing",
  "ingredients": [
    {
	  "count": 1,
      "tag": "forge:dusts/iron",
    },
    {
	  "count": 1,
      "tag": "forge:coal_coke",
    },
	    {
	  "count": 1,
      "tag": "forge:coal_coke",
    },
	    {
	  "count": 1,
      "tag": "forge:coal_coke",
    }
  ],
  "results": [
    {
      "count": 1,
      "item": "alltheores:steel_dust"
    }
  ]
})
})